Change log for avant-window-navigator package in Debian

110 of 10 results
Deleted in wheezy-release (Reason: None provided.)
Deleted in sid-release (Reason: None provided.)
avant-window-navigator (0.4.1~bzr830-2) unstable; urgency=low


  * debian/control:
   - Only build-depends on python.
   - Drop Povides for python-awn.
   - Use Breaks instead of Conflicts when moving files.

 -- Julien Lavergne <email address hidden>  Tue, 25 Oct 2011 00:13:37 +0200
Superseded in wheezy-release on 2011-11-08
Superseded in sid-release on 2011-10-29
avant-window-navigator (0.4.1~bzr830-1) unstable; urgency=low
  * New upstream snapshot.  * debian/patches   - ld-no-add-needed.patch: drop, merged upstream.   - 01-bad-pointer-init.patch: drop, merged upstream.   - 02-ftbfs-python-2.6.patch: refresh.   - 03-python-import.patch: refresh.  * debian/copyright:   - Update copyright years and upstream authors.  * debian/vala-awn.install:   - Remove, merge contents in libawn-dev.  * debian/control:   - Build-depends on valac-0.10 (>= 0.9.1), to force stable version of Vala.   - Add dockmanager to Recommends to enable helpers support.   - Build-depends on libdesktop-agnostic-dev (>= 0.3.92)   - Remove vala-desktop-agnostic build-depends, merged in     libdesktop-agnostic-dev (Closes: #633810).   - Add DM-Upload-Allowed: yes   - Bump build-depends on python-all-dev to >= 2.6.6-3~ for dh_python2 support   - Remove python-support build-depends.   - Use X-Python-Version instead of debian/pyversions.   - Fix replace for libawn1-dbg.   - Bump Standards-Version to 3.9.2 (no change needed).   - Fix description.   - Remove vala-awn binary, merged with libawn-dev.   - Add Conflicts / Replaces: valac-awn for libawn-dev.  * debian/libawn1.symbols:   - Update with new symbols.   * debian/gbp.conf:   - Add gbp configuration.  * debian/rules:   - Use --with python2   - Passing --no-guessing-versions to dh_python2   - Remove use of LDFLAGS  * debian/NEWS   - Don't use asterisk.  * debian/avant-window-navigator.1:  - Fix typo. -- Julien Lavergne <email address hidden>  Thu, 14 Jul 2011 11:54:48 +0200
Superseded in wheezy-release on 2011-09-21
Superseded in sid-release on 2011-09-20
avant-window-navigator (0.4.0-2.1) unstable; urgency=low
  * Non-maintainer upload.  * debian/patches/ld-no-add-needed.patch    - fix a FTBFS with ld --no-add-needed; patch from ubuntu; Closes: #605875 -- Sandro Tosi <email address hidden>  Thu, 02 Jun 2011 20:45:08 +0200
Superseded in wheezy-release on 2011-09-21
Published in squeeze-release on 2010-06-30
Superseded in sid-release on 2011-09-20
avant-window-navigator (0.4.0-2) unstable; urgency=medium


  * Set priority to medium to fix RC bug.
  * debian/control:
   - Add Conlicts/Replaces between libawn0-dbg and libawn1-dbg.
     (Closes: #586031)
  * debian/NEWS
   - Mention some incompatible changes with previous version.

 -- Julien Lavergne <email address hidden>  Wed, 23 Jun 2010 00:13:20 +0200
Superseded in sid-release on 2011-09-20
avant-window-navigator (0.4.0-1) unstable; urgency=low


  * New upstream release.
   - Fix icons placed outside the panel. Closes: #471661
   - Add an option to go under the panel. Closes: #474228
   - Fix autohide behavior. LP: #130235
   - Allow only 1 instance of Awn. LP: #258675
   - Ensure the autostart exist before trying to delete it. LP: #334454
   - Fix position with multiple screen. LP: #248769
   - Fix crash when event is NULL. LP: #550541
   - Fix crash in awn-setting when adding applet. LP: #557778
  * debian/patches:
   - 10_correct_exception.patch: Dropped, problem fixed in the new version.
   - 00-wm-behavior.patch and 01-tasks-have-arrow.patch: Merged upstream.
   - 02-ftbfs-python-2.6.patch: Refresh.
   - 03-python-import.patch: Refresh.
   - 01-bad-pointer-init.patch: From upstream, bad unitialized pointer.
  * Bump libawn SONAME
  * debian/control:
   - Add minimum requirement for libwnck-dev libgtk2.0-dev libglib2.0-dev and
     valac.
   - Drop build-depends on libgnome2-dev, libgnome-desktop-dev, libglade2-dev.
   - Bump build-depends for debhelper to (>= 7.0.50~) for overrides.
   - Build-depends on libgtop2-dev.
   - Replace build-depends on python-gnome2-dev by python-gtk2-dev (>= 2.12).
   - Build-depends on gconf2, libdesktop-agnostic-dev, libdesktop-agnostic-bin,
     python-desktop-agnostic, vala-desktop-agnostic for desktop-agnostic
     support.
   - Demote the composite manager to Recommends, Awn works without it.
   - Depends on libdesktop-agnostic-* and dbus.
   - Bump libawn SONAME.
   - Rename awn-manager to awn-settings.
   - libawn-dev : drop libgnome*-dev and add libdesktop-agnostic-dev depends.
   - Demote depends on awn-manager by a recommends on awn-settings for
     avant-window-navigator.
   - Add depends on avant-window-navigator, python-desktop-agnostic, bzr and
     python-dbus for awn-settings.
   - Remove depends on python-galde2 for awn-settings.
   - Replace vala depends by vala-desktop-agnostic for vala-awn.
   - Add Conflicts/Replaces to replace separator applets which is in core now.
   - Add mutter as another composite manager.
   - Use space instead of tabulation.
   - Add Conflicts/Replaces on awn-manager for awn-settings.
     (LP: #507822, #512411)
   - Add depends on python-desktop-agnostic for python-awn.
   - Add mention of Awn in the description.
  * debian/rules:
   - Rewrite with overrides.
   - Remove awn.wrapper.
   - Bump libawn SONAME.
   - Use dh_install --fail-missing.
   - Remove .la, .a, .pyo and pyc before installing.
  * debian/avant-window-navigator{,-data}.install:
   - Update installed files in core.
   - Install core applets
  * debian/awn.wrapper & debian/avant-window-navigator.links:
   - Dropped, previous configuration is incompatible.
  * debian/awn-manager.install
   - Rename to awn-settings.install.
   - Update installed files.
  * debian/awn-applet*.1 && debian/avant-window-navigator.manpages
   - Update manpages.
  * debian/awn-manager.*
   - Rename awn-manager to awn-settings and update the content.
   - Remove unused manpages.
  * debian/python-awn:
   - Update to the new location.
  * debian/README.Debian:
   - Mention that real transparency is not needed.
   - Add mutter in the list of composite managers.
  * debian/copyright:
   - Update copyright and licenses.
  * debian/libawn1.symbols: 
   - Add missing symbol.

 -- Julien Lavergne <email address hidden>  Mon, 07 Jun 2010 22:49:37 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
avant-window-navigator (0.3.2.1-6) unstable; urgency=medium


  * debian/patches/02-ftbfs-python-2.6.patch: Remove LOCALMODLIBS in configure
    and m4 to avoid unnecessary linking with -lssl. (Closes: #571150)

 -- Julien Lavergne <email address hidden>  Tue, 02 Mar 2010 00:11:24 +0100
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
avant-window-navigator (0.3.2.1-5) unstable; urgency=medium


  * Urgency set to medium to fix RC bug (#566995).
  * debian/patches/10_correct_execption.patch
   - Don't crash when raising exception. (Closes: #562549)
  * debian/control:
   - Add depends on python-glade2 for awn-manager, as it used glade for the UI.
     (Closes: #568253).
   - Remove python-elementtree from Build-Depends, only depend on
     python-all-dev as elementtree is already part of stdlib (Closes: #566995).
     Thanks Luca Falavigna for the patch.
   - Bump Standards-Version to 3.8.4 (no change needed).
  * Switch to dpkg-source 3.0 (quilt) format
   - Remove build-depends on quilt.
   - Remove README.source for the usage of quilt.
   - Remove usage of quilt in debian/rules. 

 -- Julien Lavergne <email address hidden>  Sun, 07 Feb 2010 13:41:53 +0100
Superseded in sid-release on 2011-09-20
Superseded in squeeze-release on 2011-09-13
avant-window-navigator (0.3.2.1-4) unstable; urgency=low


  * debian/rules: Build python-awn for only 1 version of python.
    (Closes: #531176) 

 -- Julien Lavergne <email address hidden>  Wed, 17 Jun 2009 00:20:41 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
avant-window-navigator (0.3.2-1) unstable; urgency=low


  * New upstream release (Closes : #514681) (LP: #327443)
   - Add a script to delay the start of awn when using the autostart. 
     (Closes: #493640)
   - Fix awn-manager permission when trying to edit some desktop file 
    (LP: #260987)
   - Update position on screen resolution changes (LP: #276734)
  * debian/awn.wrapper
   - A script to update applets path using awn-applets-migration script.
  * debian/*.install: 
   - Add the themes directory to avant-window-navigator-data.install.
   - Add awn-autostart to avant-window-navigator.install.
   - Add awn-applets-migration to awn-manager.install.
   - Remove usr/bin/avant-window-navigator, handle by debian/rules.
   - Install python bindings in *-packages instead of site-packages only, 
     needed for the python migration in squeeze (LP: #335785).
  * debian/control:
   - Add missing ${misc:Depends}.
   - Bump Build-Depends and Depends for vala to (>= 0.5.4).
   - Set awn-manager as Depends rather than Recommends, needed by the 
     awn-applets-migration script.
   - Remove unnecessary "Section: gnome"
   - Note that the libawn0-dbg contains debuggins symbols.
   - Set Build-Depends on python (>= 2.5) instead of hardcoding the python 
     version.
  * debian/awn-autostart.1 & debian/awn-applets-migrations:
   - Add new man pages.
  * debian/avant-window-navigator.links
   - Symlink awn.1 with avant-window-navigator.1
  * debian/rules:
   - Move avant-window-navigator to awn, and copy awn.wrapper to 
     avant-window-navigator
   - Add new man pages.
  * debian/patches/
   - 00-wm-behavior.patch : Don't bring the windows to the current workspace 
     when the icon of the bar is clicked. Keep the same behavior that the 
     gnome-panel applet.
   - 01-tasks-have-arrow.patch: Set the option "Tasks have arrow" by default.
   - 03-python-import.path : Update.
  * debian/copyright
   - Replace (C) by ©.

 -- Julien Lavergne <email address hidden>  Mon, 19 Jan 2009 19:35:52 +0100
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
Published in lenny-release on 2008-10-29
avant-window-navigator (0.2.6-7) unstable; urgency=medium


  * debian/control
   - Set a dependency on a composite manager rather than just suggest it. 
     (Closes: #483673). Urgency set to medium as it's a RC bug.
  * debian/README.debian
   - Document how to enable composite manager for each application.
  * debian/patches/90_null_awn_cairo.patch
   - From upstream, fix a possible crash when a applet return wrong 
     informations.

 -- Julien Lavergne <email address hidden>  Fri, 06 Jun 2008 15:58:24 +0200
110 of 10 results